Interface Price

All Known Implementing Classes:
PriceJson

public interface Price
An Equinix Internet Access (EIA) v1 price entry, as returned by the price search POST /internetAccess/v1/prices/search.

Currency depends on the billing account. If a product (or part of it) is provided for free, it is listed with a price of 0. This is a read-only response view.

  • Method Details

    • getHref

      String getHref()
      Returns:
      an absolute URL that returns the specified pricing data
    • getType

      ProductType getType()
      Returns:
      the product type (INTERNET_ACCESS_PRODUCT or IP_BLOCK_PRODUCT)
    • getCode

      String getCode()
      Returns:
      the Equinix-assigned product code
    • getName

      String getName()
      Returns:
      the full product name
    • getDescription

      String getDescription()
      Returns:
      the product description
    • getCurrency

      String getCurrency()
      Returns:
      the ISO 4217 currency code of the price
    • getCategory

      PriceCategory getCategory()
      Returns:
      the price category (COUNTRY or CUSTOMER)
    • getCharges

      List<ProductPriceCharge> getCharges()
      Returns:
      the collection of individual product price charges, each carrying its product attribution
    • getSummary

      PriceSummary getSummary()
      Returns:
      the summarized pricing (charges plus roll-up total charge)
    • getAccount

      CustomerAccount getAccount()
      Returns:
      the customer billing account associated with the price, if present
    • getService

      ServicePrice getService()
      Returns:
      the internet access service product breakdown, present for service price results
    • getIpBlock

      IpBlockProductPrice getIpBlock()
      Returns:
      the IP block product breakdown, present for IP-block price results